function [ letadlaNaDostrel ] = naDostrel( planes, id )
%naDostrel vraci id letadel, ktera jsou v dostrelu
%   letadlaNaDostrel = naDostrel (planes, id)
global SIZE_X SIZE_Y

    k=length(planes);
    letPoloha=planes(id).xy; % XY vlastniho letadla
    
    for x=1:k
        [dx,dy]=pointDiff(planes(x).xy,letPoloha);
        pom1=sqrt(dx^2+dy^2); % pomocna promena
        
        XY=planes(x).xy+[SIZE_X 0];
        [dx,dy]=pointDiff(XY,letPoloha);
        pom2=sqrt(dx^2+dy^2); % pomocna promena

        XY=planes(x).xy+[-SIZE_X 0];
        [dx,dy]=pointDiff(XY,letPoloha);
        pom3=sqrt(dx^2+dy^2); % pomocna promena

        XY=planes(x).xy+[0 SIZE_Y];
        [dx,dy]=pointDiff(XY,letPoloha);
        pom4=sqrt(dx^2+dy^2); % pomocna promena
        
        XY=planes(x).xy+[0 -SIZE_Y];
        [dx,dy]=pointDiff(XY,letPoloha);
        pom5=sqrt(dx^2+dy^2); % pomocna promena
        
        pom=min([pom1, pom2, pom3, pom4, pom5]);
        
        if x==1
            vzdalenost=pom; % vzdalenost ciziho letadla
        else
            vzdalenost=[vzdalenost pom];
        end
    end
    
    dostrel=(planes(id).v+200)*0.1*15/2; % dostrel zmenseny poslednim cislem
    letadla=0; % docasna promena
    
    for x=1:k
        if x~=id
            if vzdalenost(x)<dostrel
                letadla=[letadla x];
            end
        end
    end
    
    if length(letadla)==1
        letadlaNaDostrel=0;
    else        
        letadlaNaDostrel=letadla(2:length(letadla));
    end
end

