function [ hrozba1, hrozba2, hrozba3 ] = podPalbou( bullets, plane, id )
%podPalbou vyhodnocuje, zda je v blizkosti strela
%a pripadne ve kterem sektoru
%   [hrozba1, hrozba2, hrozba3] = podPalbou (bullets, plane, id)
%   sektor1-vpravo pred letadlem
%   sektor2-vlevo pred letadlem
%   sektor3-prostor za letadlem

hrozba1=0;
hrozba2=0;
hrozba3=0;
k=length(bullets);
letX=plane.xy(1);
letY=plane.xy(2);
letNatoceni=plane.angle;

for i=1:k
    if bullets(k).id~=id
        [dx,dy]=pointDiff(bullets(i).xy,plane.xy);
        vzdalenost=sqrt(dx^2+dy^2); % vzdalenost strely
        if vzdalenost<100
            x=bullets(i).xy(1)-letX;
            y=bullets(i).xy(2)-letY;
            uhel=compAngle([x y]);
            rozdilUhlu=letNatoceni-uhel;
            if (((0<rozdilUhlu) && (rozdilUhlu<(pi/2))) || (rozdilUhlu<(-3/2*pi)))
                hrozba1=1;
            end
            if (((0>rozdilUhlu) && (rozdilUhlu>(-pi/2))) || (rozdilUhlu>(3/2*pi)))
                hrozba2=1;
            end
            if (((pi/4)<abs(rozdilUhlu)) && (abs(rozdilUhlu)<(3/2*pi)))
                hrozba3=1;
            end
        end
    end
end

end

