function [x, y] = unwrapXY(x, y)
%unwrap x and y coordinates into screen size
%global SIZE_X, SIZE_Y required
%Syntax:
%  [x, y] = unwrapXY(x, y);
% or
%  xy = unwrapXY(xy);
% or
%  [x, y] = unwrapXY(xy);
% or
%  xy = unwrapXY(x, y);

global SIZE_X SIZE_Y
if nargin == 1
    y = x(2);
    x = x(1);
end
if x < 0; x = x + SIZE_X; end
if y < 0; y = y + SIZE_Y; end
if x > SIZE_X; x = x - SIZE_X; end
if y > SIZE_Y; y = y - SIZE_Y; end
if nargout <= 1
    x = [x y];
end

